Tells if the priority queue is in a corrupted state

- « SplPriorityQueue::insert

- SplPriorityQueue::isEmpty »

- PHP Manual
- SplPriorityQueue
- Tells if the priority queue is in a corrupted state

# SplPriorityQueue::isCorrupted

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplPriorityQueue::isCorrupted — Tells if the priority queue is in a corrupted state

### Description

public SplPriorityQueue::isCorrupted(): bool

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the priority queue is corrupted, `false` otherwise.